<?xml version="1.0" ?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping default-lazy="false" default-cascade="all">
	<class entity-name="testIdentifier" table="VISTA_HDSI.LAB_LOINC_95_3" lazy="false" node="testIdentifier">

		<id name="id" type="big_decimal">
			<column name="ROWID"/>
			<generator class="assigned"/>
		</id>

		<property name="code" type="java.lang.String" formula="ROWID||'-'||CHECK_DIGIT" insert="false" update="false" node="code"/>
		<property name="displayText" type="java.lang.String" column="FULLY_SPECIFIED_NAME" node="displayText"/>
		<property name="codingSystem" type="java.lang.String" formula="VISTA_HDSI.HDSREPSQLUtil1_StationNumber()||'_95_3'" node="codingSystem"/>
		<property name="alternateCode" type="java.lang.String" column="VUID" node="alternateCode"/>
		<property name="alternateCodingSystem" type="java.lang.String" formula="'99VA95.3'" node="alternateCodingSystem"/>
		<property name="originalText" type="java.lang.String" column="COMPONENTX" node="originalText"/>

	</class>

	<query name="labTests.chemistryResults.testIdentifier"> 
	 <![CDATA[ 
	 from testIdentifier testIdentifier
	 where testIdentifier.id = :loincCode
	 ]]>
	</query>
</hibernate-mapping>